repos/scripts

Simple scripts that I made for my personal computer to map keys, make bluetooth work, brightness keys, etc.
Commits Files Refs README LICENSE
commit 0bf5e5ae0ec65d5d8397e8943bcaefbe96ff74b4
parent 5255e68f739705107cc9ec9c8b4f05a2fe1c3273
Author: mjkloeckner <martinjkloeckner@gmail.com>
Date:   Fri, 31 Mar 2023 19:22:35 -0300

updated scripts

make windows like i3lock wrapper (lockscreen) more windows like

added systemsleep which is a wrapper for the suspend command

Diffstat:
Aclipmenu_wrapper | 15+++++++++++++++
Mlockscreen | 14++++++++------
Mstatusbar/sb-gpu | 2+-
Mstatusbar/wthr | 2+-
Asystemsleep | 3+++
5 files changed, 28 insertions(+), 8 deletions(-)
diff --git a/clipmenu_wrapper b/clipmenu_wrapper
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+col_gray1="#000000"
+col_gray3="#cccccc"
+col_darkmagenta="#8B008B"
+col_gray4="#eeeeee"
+
+# dmenufont='Victor Mono:style=SemiBold:size=9';
+dmenufont="DejaVuSansMono Nerd Font:style=Regular:size=8"
+dmenuargs="-l 16 -c -h 16 -z 850 -bw 2"
+
+clipmenu -fn "$dmenufont" -nb $col_gray1 -nf $col_gray3 \
+    -sb $col_darkmagenta -sf $col_gray4 $dmenuargs -p "Clipboard paste: "
+
+[ "$?" = "0" ] && xdotool key shift+Insert
diff --git a/lockscreen b/lockscreen
@@ -14,16 +14,18 @@
 #     --indicator --pass-media-keys --radius 100.0 --pointer default
 
 # windows 11 lockscreen style (requieres Segoe UI font)
-i3lock -b -c 00000000 -n --wrong-text="" --lock-text="" --lockfailed-text="" \
+i3lock -b -c 00000000 --wrong-text="" --lock-text="" --lockfailed-text="" \
         --verif-text="" --verif-text="" --noinput-text="" \
-        -i $HOME/.config/scheme/lockscreen-bg \
-        -M --indicator --pointer default \
-        -k --time-str="%H:%M" --date-str="%A, %B %d" --time-size=102 --date-size=26 \
+        -i $HOME/.cache/betterlockscreen/current/wall_blur.png \
+        -M --indicator --pointer default -k \
+        --time-str="%H:%M" --time-size=102 \
         --time-font="Segoe UI Variable Static Display:style=Semibold" \
+        --time-pos="ix:iy - 142" --time-color="FFFFFFCC" \
+        --date-str="%A, %B %d" --date-size=24 \
         --date-font="Segoe UI Variable Static Display:style=Semibold" \
-        --time-pos="ix:iy - 142" --time-color="FFFFFFCC" --date-color="FFFFFFCC" \
+        --date-pos="tx:ty + 35" --date-color="FFFFFFCC" \
         --bar-indicator --bar-direction 2 --bar-color 00000000 --bar-pos "h" \
-        --bar-step 5 --bar-max-height 5 --bar-periodic-step 5 \
+        --bar-step 6 --bar-max-height 6 --bar-periodic-step 6 \
         --keyhl-color="736654CC"
 
 # Re-enables notifications when the device is unlocked
diff --git a/statusbar/sb-gpu b/statusbar/sb-gpu
@@ -13,4 +13,4 @@ ctemp=$(sensors | awk '/CPU:/ {$2 = substr($2, 2, length($2) - 5); print $2}')
 # gtemp=$(sensors | awk '/edge/ {$2 = substr($2, 2, length($2) - 5); print $2}')
 
 # printf "🌡️ C$ctemp° G$gtemp°"
-printf "🌡️ $ctemp°"
+printf "🌡️ $ctemp°"C
diff --git a/statusbar/wthr b/statusbar/wthr
@@ -133,4 +133,4 @@ elif (sunset[0] <= curr_time_int <= sunset[1]) and (main == 'Clear'):
 elif ((night[0] <= curr_time_int <= night[1]) or (night[2] <= curr_time_int <= night[3])):
     icon = moon_curr
 
-print("{} {}° {}".format(icon, temp, main))
+print("{} {}°C".format(icon, temp))
diff --git a/systemsleep b/systemsleep
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+systemctl suspend